Subject: bug#23583: 24.5; Freeze when calling ediff in fs-mode in i3wm

From: Noam Postavsky <[email-masked]>
Date: Fri, 15 Jun 2018 21:49:51 -0400

found 23583 25.3
tags 23583 fixed
close 23583 26.1
quit

Noam Postavsky <[email-masked]> writes:

> On Sun, Jul 31, 2016 at 9:31 AM, Benjamin Riefenstahl
> <[email-masked]> wrote:
>> When I connect to the Emacs in this state with gdb, I get the stacktrace
>> below.  It seems that make-frame-visible is waiting for some answer that
>> does not come from X11 or the display manager.
>
> Interesting, that makes it seem similar to #24091. And if I use an
> Emacs that skips the loop mentioned there, it avoids the error *if* I
> open Emacs on a different workspace.

I now have gtk builds.  I can reproduce the the problem with Emacs 24.5
and 25.3, but not 26.1.